### Method

# Meta WaylandSurface get_window

#### Declaration [src]

    MetaWindow*
    meta_wayland_surface_get_window (
      MetaWaylandSurface* surface
    )

#### Description [src]

Get the `MetaWindow` associated with this wayland surface.

Gets property | `Meta.WaylandSurface:window`

#### Return value

Type: `MetaWindow`

A `MetaWindow`.

The returned data is owned by the instance.
The return value can be `NULL`.